---
- name: Remove node from cluster
  k8s:
    kind: Node
    name: "{{ ansible_hostname }}"
    state: absent
  delegate_to: "{{ k8s_primary_master }}"
  when: ansible_hostname != k8s_primary_master
  ignore_errors: yes

- name: Reset previously installed kubernetes installations
  command: kubeadm reset --force

- name: Flush iptables
  shell: iptables -F && iptables -t nat -F && iptables -t mangle -F && iptables -X

- name: Delete config
  file:
    path: /root/.kube/config
    state: absent

- name: Delete cni conf
  file:
    path: /etc/cni/net.d
    state: absent

- name: Delete certs
  file:
    path: /etc/kubernetes/pki
    state: absent
